/*
 * Unitex
 *
 * Copyright (C) 2001-2016 Université Paris-Est Marne-la-Vallée <unitex@univ-mlv.fr>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 *
 */
/**
 * @file      Version.h
 * @brief     Defines the current version of the Unitex Core
 *
 * @author    Vinber
 *
 * @warning   DO NOT CHANGE THIS FILE DIRECTLY! IT WILL BE OVERWRITTEN.
 *            BUT INSTEAD USE VERSION.H.IN
 */
/* ************************************************************************** */
#ifndef UNITEX_CORE_VERSION_H_                                      // NOLINT
#define UNITEX_CORE_VERSION_H_                                      // NOLINT
/* ************************************************************************** */
#define UNITEX_VERSION_NAME                "Unitex"
#define UNITEX_VERSION_NAMESPACE           "unitex"
/* ************************************************************************** */
#define UNITEX_VERSION_AUTHOR              "The Unitex/GramLab Authors"
#define UNITEX_VERSION_COMPANY             "Universite Paris-Est Marne-la-Vallee"
#define UNITEX_VERSION_CONTACT             "unitex-devel@univ-mlv.fr"
#define UNITEX_VERSION_COPYRIGHT           "Copyright (C) 2001-2016"
#define UNITEX_VERSION_DESCRIPTION_SHORT   "corpus processing suite"
#define UNITEX_VERSION_DESCRIPTION         "an open source, cross-platform, multilingual, lexicon- and grammar-based corpus processing suite"
#define UNITEX_VERSION_LICENSE             "LGPL-2.1"
/* ************************************************************************** */
#define UNITEX_VERSION_URL_HOMEPAGE        "http://unitexgramlab.org"
#define UNITEX_VERSION_URL_ISSUES          "http://unitexgramlab.org/index.php?page=6"
#define UNITEX_VERSION_URL_REPOSITORY      "https://svnigm.univ-mlv.fr/svn/unitex/Unitex-C%2B%2B"
/* ************************************************************************** */
#define UNITEX_VERSION_RELEASE             "Unitex/GramLab 3.1 Rev. 4314"
#define UNITEX_VERSION_STRING              "3.1 Rev. 4314"
#define UNITEX_VERSION_SEMVER              "3.1.4314"
/* ************************************************************************** */
#define UNITEX_VERSION_MAJOR_NUMBER        3
#define UNITEX_VERSION_MINOR_NUMBER        1
#define UNITEX_VERSION_REVISION_NUMBER     4310
#define UNITEX_VERSION_SUFFIX              ""
#define UNITEX_VERSION_TYPE                "stable"
#define UNITEX_VERSION_IS_UNSTABLE         0
/* ************************************************************************** */
#define UNITEX_VERSION_BUILD_IS_ANONYMOUS  0
#define UNITEX_VERSION_BUILD_NUMBER        0
#define UNITEX_VERSION_BUILD_DATE          "March 27, 2016"
#define UNITEX_VERSION_BUILD_DAY           "27"
#define UNITEX_VERSION_BUILD_MONTH         "03"
#define UNITEX_VERSION_BUILD_YEAR          "2016"
#define UNITEX_VERSION_BUILD_TIMESTAMP     "1459040406"
#define UNITEX_VERSION_BUILD_SYSTEM        "Vinber"
/* ************************************************************************** */
#define UNITEX_VERSION_COMMIT_BRANCH       "?"
#define UNITEX_VERSION_COMMIT_DATE         "?"
#define UNITEX_VERSION_COMMIT_HASH         "?"
#define UNITEX_VERSION_COMMIT_TAG          "?"
/* ************************************************************************** */
#endif  // UNITEX_CORE_VERSION_H_                                   // NOLINT
